RHEL 4 / 5 : libexif (RHSA-2007:0501)

Medium Nessus Plugin ID 25540


The remote Red Hat host is missing one or more security updates.


Updated libexif packages that fix an integer overflow flaw are now available for Red Hat Enterprise Linux 4 and 5.

This update has been rated as having moderate security impact by the Red Hat Security Response Team.

The libexif package contains the EXIF library. Applications use this library to parse EXIF image files.

An integer overflow flaw was found in the way libexif parses EXIF image tags. If a victim opens a carefully crafted EXIF image file it could cause the application linked against libexif to execute arbitrary code or crash. (CVE-2007-4168)

Users of libexif should upgrade to these updated packages, which contain a backported patch and are not vulnerable to this issue.


Update the affected libexif and / or libexif-devel packages.

See Also



Plugin Details

Severity: Medium

ID: 25540

File Name: redhat-RHSA-2007-0501.nasl

Version: $Revision: 1.21 $

Type: local

Agent: unix

Published: 2007/06/18

Modified: 2016/12/29

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Temporal Score: 5.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:libexif, p-cpe:/a:redhat:enterprise_linux:libexif-devel, cpe:/o:redhat:enterprise_linux:4, cpe:/o:redhat:enterprise_linux:4.5, cpe:/o:redhat:enterprise_linux:5

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2007/06/14

Vulnerability Publication Date: 2007/06/13

Reference Information

CVE: CVE-2006-4168

BID: 24461

OSVDB: 35379

RHSA: 2007:0501